Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82995 - tcpdump problem with bgp decoding
Summary: tcpdump problem with bgp decoding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: tcpdump
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
: 80152 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-29 13:11 UTC by Mark J. Cox
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-26 15:19:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:033 normal SHIPPED_LIVE Moderate: tcpdump security update 2003-01-29 05:00:00 UTC

Description Mark J. Cox 2003-01-29 13:11:58 UTC
The BGP decoding routines for tcpdump used incorrect bounds checking when
copying data. This could be abused by introducing malicious traffic on a sniffed
network for a denial of service attack against tcpdump, or possibly even remote
code execution.

RHSA-2002:094 patched CAN-2002-0380 with tcpdump-3.6.2-11
AS/RHSA-2002:121 patched CAN-2002-0380 with tcpdump-3.6.2-11

See http://marc.theaimsgroup.com/?l=bugtraq&m=103956164004031&w=2
also http://www.tcpdump.org/lists/workers/2001/10/msg00101.html

3.6.* is vulnerable, 3.7 isn't

CVE applied for Dec11: CAN-2002-1350

Comment 1 Harald Hoyer 2003-02-12 14:01:57 UTC
*** Bug 80152 has been marked as a duplicate of this bug. ***

Comment 2 Mark J. Cox 2003-02-26 15:19:45 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-033.html


Comment 3 Sam 2003-03-08 13:50:12 UTC
This hasn't been fixed in anything but the Advanced Series. It should be reopened.

Comment 4 Mark J. Cox 2003-03-08 14:16:05 UTC
This bug is filed against the Advanced Server product and therefore should be
closed.  There might be a bug already open against the base product for this
security issue, but even if not an errata is in progress for the base.


Note You need to log in before you can comment on or make changes to this bug.